[webrun-type], div, label, body, html, p {
  font-family: 'Roboto', sans-serif !important;
}

.menuDisabled, .menuIconFieldDisabled, .menuTitleFieldDisabled {
  display: none;
}

.innericon {
    float: left;
    margin-left : 10px;
    margin-top: -35px;
    position: relative;
    z-index: 2;
    color: #b6b6b6;
}

#toast-container-tr {
  display: none;
}

.custom-toggle-on {
  content: url("../svg/custom-toggle-on.svg");
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: center;
}

.custom-toggle-off {
  content: url("../svg/custom-toggle-off.svg");
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: center;
}

select.custom-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: #fff;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 5px;
  border: 1px solid #e1e1e1;
  border-radius: .25rem;
  padding: 1rem;
  padding-right: 1rem;
}

.lookup.lookup-styled .input-group-append {
  background: #fff;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 5px;
  border-radius: .25rem;
}

.lookup.lookup-styled .input-group-append.disabled {
  background: #E9ECEF;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 5px;
  border-radius: .25rem;
}

#WFRReportMessageWait {
  z-index: 1000000;
  background: #ffffffaa;
}

#panFormulario {
  width: 100% !important;
  height: 100% !important;
}

#foxTabs .tab-content {
  padding-top: .5rem!important;
}

/* grdTabela */
.HTMLTable {
  height: unset !important;
  margin: 0 !important;
  border: 1px solid var(--silverblue) !important;
}

/* grdTabela_intermediaria */
.HTMLTableIntermediary {
  width: calc(100%) !important;
}

/* grdTabela_cabecalho */
.HTMLTableHeaderRow {
  height: 35px !important;
  background: var(--white)!important;
}

/* grdTabela_cabecalho_1 span */
.HTMLTableHeaderCell {
  color: var(--primary)!important;
  text-align: left!important;
  font-weight: normal!important;
  padding-left: .25rem!important;
  padding-top: .25rem!important;
}

/* HTMLTableHeaderCellSeparator */
.HTMLTableHeaderCellSeparator {
  width: 2px !important;
  background-color: var(--silverblue) !important;
}

.HTMLTableHeaderCellSeparator:hover {
  background-color: var(--secondary) !important;
}

.HTMLTableBody2 {
  outline: none!important;
}

.HTMLTableBodyRow,
.HTMLTableBodyRow div {
  background: none !important;
}

.HTMLTableBodyRow.HTMLTableBodyRowSelected,
.HTMLTableBodyRowOdd.HTMLTableBodyRowSelected {
  background: var(--lightblue) !important;
}

.HTMLTableBodyRow {
  border-top: 1px solid var(--silverblue) !important;
}

.HTMLTableNavButtons {
  display: none !important;
}

/* grdTabela_r1c1 */
.HTMLTableBodyCell {
  border: none !important;
  position: relative !important;
  top: unset !important;
  padding-left: 0.3rem !important;
  height: unset !important;
  overflow: hidden!important;
}

/* grdTabela_r1c1 span*/
.HTMLTableBodyCell span {
  color: var(--texts)
}

/* grdTabela_canto */
.HTMLTableEdge,
div[id$="_rolagem_vertical"],
div[id$="_rolagem_horizontal"] {
  display: none !important;
}

/* grdTabela_container_paginacao */
.HTMLTableContainerPagination {
  width: 100% !important;
  position: static;
  height: unset !important;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 1rem !important;
}

/* grdTabela_previous */
.HTMLTablePrevious,
.HTMLTableFirst,
.HTMLTableNext,
.HTMLTableLast {
  cursor: pointer;
  width: 42px !important;
  height: 42px !important;
  border: 1px solid #ced4da;
  background-color: var(--white);
  border-radius: 0.2rem;
  color: var(--primary);
  padding: 0.4rem;
  text-align: center;
  font-family: "Font Awesome 5 Pro"!important;
  font-size: 18px;
  font-weight: 900;
  margin-right: 0.3rem;
}

.HTMLTablePrevious:hover,
.HTMLTableFirst:hover,
.HTMLTableNext:hover,
.HTMLTableLast:hover {
  background: #f4f4f6;
} 

.HTMLTableFirst {
  order: 1;
  margin-left: auto;
}

.HTMLTablePrevious {
  order: 2;
}

.HTMLTableNext {
  order: 3;
}

.HTMLTableLast {
  order: 4;
}

.HTMLTableFirst::before {
  content: "\f048";
}

.HTMLTablePrevious::before {
  content: "\f053";
}

.HTMLTableNext::before {
  content: "\f054";
}

.HTMLTableLast::before {
  content: "\f051";
}

.HTMLTablePreviousDisabled,
.HTMLTableFirstDisabled,
.HTMLTableLastDisabled,
.HTMLTableNextDisabled {
  opacity: 0.5;
}

/* HTMLTableSpanPagination */
.HTMLTableSpanPagination {
  color: var(--primary);
  margin-left: 0.2rem;
  margin-right: 0.2rem;
}

/* grdTabela_numeropagina */
.HTMLTableInputPagination,
.HTMLTableInputPagination option {
  color: #656c73;
}

.rotate-45 {
  transform: rotate(45deg)
}

div[webrun-type="HTMLEdit"] > .form-label, 
div[webrun-type="HTMLMemo"] > .form-label,
div[webrun-type="HTMLComboBox"] > .form-label,
div[webrun-type="HTMLLookup"] > .form-label  {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 0.75rem;
}

.h3 {
  font-size: 24px!important;
  font-weight: 400!important;
}

.text-muted {
  font-size: 0.875rem;
}

.btn {
  font-size: 0.875rem;
}

.form-control {
  color: var(--texts)!important;
  font-size: 0.8125rem;
}

#grdAcomp [aria-label="menu do canto"] {
  display: none!important;
}

#grdAcomp .scrollbar {
  background-color: var(--light);
}

#grdAcomp .hScrollStart, #grdAcomp .hScrollEnd, #grdAcomp .hScrollStartOver, #grdAcomp .hScrollEndOver, #grdAcomp .hScrollStartDown, #grdAcomp .hScrollEndDown {
  display: none!important;
}

#grdAcomp .hScrollTrack { 
   background-color: var(--light);
}

#grdAcomp .hScrollThumb, #grdAcomp .hScrollThumbOver {
  background-color: var(--secondary);
  border: 5px solid var(--light);
  border-radius: 8px;
  margin-top: 0;
}

tr[role="listitem"] {
   border-bottom: 1px solid #dee2e6 !important;
   height: 40px;
}

.scrollbar-ux::-webkit-scrollbar{
    width:14px;
}
.scrollbar-ux::-webkit-scrollbar:horizontal{
    height:14px;
}
.scrollbar-ux::-webkit-scrollbar-track{
    margin: 10px;
    border-radius:6px;
}
.scrollbar-ux::-webkit-scrollbar-thumb{
    background-color:#5a8dee;
    border-radius:6px;
}
.scrollbar-ux::-webkit-scrollbar-thumb:hover{
    background-color:#5a8dee;
}
.scrollbar-ux::-webkit-scrollbar-thumb:active{
    background-color:#5a8dee;
}

.scrollbar-ux.light-scrollbar::-webkit-scrollbar{
    background-color:#fff;
}

.scrollbar-ux.light-scrollbar::-webkit-scrollbar-track{
    border: 5px #ffffff solid!important;
    border-bottom: none!important;
    border-top: none!important;
    background-color: #e6eaee;
}

.scrollbar-ux.light-scrollbar::-webkit-scrollbar-thumb{
    border: 5px #fff solid!important;
    border-bottom: none!important;
    border-top: none!important;
}

.scrollbar-ux.dark-scrollbar::-webkit-scrollbar{
    background-color: var(--light);
}

.scrollbar-ux.dark-scrollbar::-webkit-scrollbar-track{
    border: 5px var(--light) solid!important;
    border-bottom: none!important;
    border-top: none!important;
    background-color: #fff;
}
.scrollbar-ux.dark-scrollbar::-webkit-scrollbar-thumb{
    border: 5px var(--light) solid!important;
    border-bottom: none!important;
    border-top: none!important;
}

/* COMPONENTE GRADE */
.headerButton, .headerButtonOver, .headerButtonDown {
  color: var(--primary) !important;
  text-transform: uppercase;
  font-size: 0.875rem;
}

.listGrid [role="toolbar"] {
  background-color: var(--white)!important;
  border-bottom: 1px solid #dee2e6 !important;
}

.listGrid [role="listitem"] td {
  color: var(--texts)!important;
  font-size: 0.8125rem;
}

.listGrid [role="listitem"] td div img {
  width: 20px;
  height: 20px;
}

.headerButton {
  background-color: var(--white)!important;
  height: 40px!important;
}

.headerButtonOver {
  background-color: var(--silverblue)!important;
  height: 40px!important;
}

.headerButtonDown {
  background-color: var(--lightblue)!important; 
  height: 40px!important;
}

.sorterButton {
  background-color: var(--white)!important;
  color: var(--primary)!important;
  height: 40px!important;
}

.gridSelected, .gridSelectedAltCol, .gridSelectedOver, .gridSelectedOverAltCol, .gridSelectedDark, .gridSelectedOverDark, .gridSelectedOverDarkAltCol, .gridSelectedDarkAltCol {
    background-color: var(--lightblue) !important;
    color: var(--primary) !important;
}

.gridDarkAltCol, .gridOverDarkAltCol, .gridOverDark, .gridDark {
    background-color: #fff!important;
}

#grdAcomp_separator_nav {
  display: none!important;
}



:root {
    --maximizedMenu: 285px;
    --minimizedMenu: 60px;
}
.tab-pane {
    min-height: unset !important; 
}

/* ELIMINAR TODAS AS PROPRIEDADES */
#foxMenu,
#foxMenuUser,
#foxMenuAdmin,
#foxMenuBtn,
#foxLogo,
#foxTabs,
#foxUserimage,
#foxUsername,
#foxUserplanBtn,
#foxMainContainer,
#foxMenuContainer,
#foxMenuTopContainer,
#foxMenuTopBtnContainer,
#foxMenuTopLogoContainer,
#foxMenuCenterContainer,
#foxMenuBottomContainer,
#foxMenuBottomUserpanelContainer,
#foxMenuBottomUsernameContainer,
#foxMenuBottomUserplanContainer,
#foxMenuBottomUsermenuContainer,
#foxTabsContainer {
    min-height: unset !important;
    max-height: unset !important;     
    top: unset !important;
    left: unset !important;
    z-index: unset !important;
    box-sizing: border-box !important;
}
#foxMenuBtn {
    width: unset !important;
    height: unset !important;    
}

#foxMenuTopBtnContainer {
    z-index: 99999999 !important;
}

/* TAMANHOS */
/* LARGURA 100% */
#foxMenu,
#foxMenuUser,
#foxMenuAdmin,
#foxUsername {
    width: 100% !important;
}

#foxMainContainer .border-silverblue {
    border-color: #BAC0C7 !important;
}

/* ALTURA 100% */
#foxUsername {
    height: 100% !important;
}

/* TAMANHO 85px */
#foxMenuBottomUserplanContainer {
    width: 80px !important;
}

/* SETAR ALTURA UNSET */
#foxMenu,
#foxMenuUser,
#foxMenuAdmin {
    height: unset !important;
}

#foxMenuUser {
    margin-bottom: 1rem;
}

/* POSIÃ‡ÃƒO UNSET */
#foxMenu,
#foxMenuUser,
#foxMenuAdmin,
#foxUserimage,
#foxUsername,
#foxLogo {
    position: unset !important;
}

#foxUserimage {
    width: 70px !important;
    height: 48px !important;
    overflow: hidden !important;
    box-sizing: border-box !important;    
    border-radius: 30px;
}

#foxUserimage div img {
    border-radius: 30px;
}

#foxUserplanBtn {
    width: 65px !important;
    height: 50px !important;
}

#foxUserplanBtn button {
    height: 45px !important;
}

#foxMenuBtn button {
    width: 35px !important;
    height: 35px !important;    
    border: none !important;
}

#foxUserplanBtn,
#foxUserplanBtn i {
    color: var(--white);
}

#foxUsername,
#foxMenuBtn i {
    color: var(--primary);
}

#foxTabs {
    width: calc(100% - var(--maximizedMenu)) !important;
    height: 100% !important;
}

#foxTabs .nav-link {
    padding: 1.2rem;
    background: none;
    font-size: 15px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--primary);
    box-sizing: border-box;
    border: none;
    opacity: 0.7;
    border-radius: unset;
    position: relative!important;
}

#foxTabs .nav-link:hover {
    background: #FAFBFB;
}

#foxTabs .nav-link.active {
    background: #FAFBFB;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--primary);
    border-top: unset;
    border-left: unset;
    border-right: unset;
    box-shadow: inset 0px -5px 0px var(--secondary);
    box-sizing: border-box;
    opacity: 1;
}

#foxTabs .nav-tabs {
    border: none;
    background-color: var(--light);
}

#foxTabs .nav-link button {
    color: var(--white);
    background-color: var(--danger);
    border-radius: 100%;
    width: 18px;
    height: 18px;
    border: 1px solid var(--danger);
    padding: 5px!important;
    margin: 0!mportant;
    position: absolute;
    top: 3px;
    right: 3px;
    display: none!important;
    justify-content: center;
    align-items: center;
}

#foxTabs .nav-link:hover button {
    display: flex!important;
}

#foxTabs .nav-link button:hover {
    background-color: #CC181E;
}

#foxTabs .nav-link button i {
    font-size: 0.6rem!important;
    padding: 0!important;
}

/* CLASSES */
.d-none-important {
    display: none !important;
}

.position-unset-important {
    position: unset !important;
}

.h-unset-important {
    height: unset !important;
}

.w-100-important {
    width: 100% !important;
}

.h-100-important {
    height: 100% !important;
}

.w-60-important {
    width: 60px !important;
}

.h-60-important {
    height: 60px !important;
}

.w-285-important {
    width: var(--maximizedMenu) !important;
}

.min-w-285-important {
    min-width: var(--maximizedMenu) !important;
}

.max-w-285-important {
    max-width: var(--maximizedMenu) !important;
}

.h-85-important {
    height: 85px !important;
}

.pulse-secondary {
    animation: pulse-secondary 2s infinite;
}

@keyframes pulse-secondary {
    0% {
        box-shadow: 0 0 0 0 var(--secondary);
    }

    70% {
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

